#!/opt/optD2cc_bin_links/perl
#
# perl script used for xnd_ref.c
#
# ==========================================================================

$thistime = time;
# Get the current date-time stamp
$currenttime    = localtime($thistime);
print " xnd_ref.pl    $currenttime\n";
close IN;
open IN, "xnd_ref.tim" || die " error opening xnd_ref.tim\n";
$linetime = <IN>;
chomp ($linetime);
close IN;
($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks)
       = stat("xnd_ref.tim");
$ma = localtime($mtime);
$days=($thistime - $mtime)/24/3600;
$maxdays = 15;
printf " xnd_ref.tim ($ma) is %.2f days old (maxdays=$maxdays)\n", $days;
if ( $days > $maxdays)
{    $linetime = $linetime+0.01;
	  print " increasing version reference  $linetime\n";
     open OUT ,">xnd_ref.tim";
	  printf OUT "%.2f\n", $linetime;
	  close OUT;
	  } else
{    utime $thistime, $thistime, "xnd_ref.tim";
     print " version reference $linetime keeped\n";
     }
open ( FILE_REF, ">xnd_ref.c" ) || die " error opening xnd_ref.c for write\n";
#==========================================================================
print FILE_REF <<"EOF_IniRef";
/* xnd_ref.c   source file created by xnd_ref.pl on the primary source */ 
#include "xnd_def.h"  

char *xnd_dat (P_(void))   { return "$currenttime"; }
char *xnd_ver (P_(void))   { return "XND $linetime";  }

/* -------------------------------------------------------- */
#ifdef MAC_OS
#define KERNEL "mac_os"
#endif
#ifdef MS_DOS
#define KERNEL "ms_dos"
#endif
#ifdef __WIN32__
#define KERNEL "win32"
#endif

#ifndef KERNEL
#define KERNEL "OS unknown"
#endif

#ifndef HOST
#define HOST "host unknown"
#endif

/* -------------------------------------------------------- */
char *xnd_host  (P_(void))   
{  return HOST ;
   }
/* -------------------------------------------------------- */
char *xnd_kernel  (P_(void))   
{  return KERNEL ;
   }
/* -------------------------------------------------------- */
char *xnd_ref  (P_(void))   
{ return  
" For docs     : http://www-cristallo.polycnrs-gre.fr/xnd/xnd.html\\n\\
 For bugs,... : berar\@polycnrs-gre.fr\\n\\
 For updates  : anonymous\@ftp.polycnrs-gre.fr in pub/xnd\\n" ;
  }
char *xnd_pub  (P_(void))   
{ return  
"J.-F.Berar, G.Baldinozzi, CPD Newsletter 20 (1998), p3-5\\n" ;
   }
/* -------------------------------------------------------- */
EOF_IniRef
# ==========================================================================
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
